* {
    color-scheme: light dark;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    margin: 0;
    font-family: monospace monospace;
}

main {
    border: 1px solid;
    padding: 16px;
    border-radius: 8px;
}

#intensity_value {
    padding: 5px;
    width: min-content;
}

.intensity {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1rem;
}

#log {
    text-align: center;
    margin-top: 16px;
}

input[type=range] {
    margin: 0;
}

form > div {
    padding: 4px;
    display: flex;
}

input[type="text"] {
    width: 100%;
    padding: 0px;
    margin: 0px;
}

input[type="radio"]+label {
    flex-grow: 1;
}

input[type="radio"]:disabled+label {
    text-decoration: line-through;
    opacity: 0.5;
}

input:placeholder-shown {
    outline: 2px solid red;
}

button {
  padding: 0.5em;
  width: 100%;
  /* text-decoration: none; */
  /* line-height: normal; */
}

.htmx-indicator{
    display:none;
}
.htmx-request .htmx-indicator{
    display:inline;
}
.htmx-request.htmx-indicator{
    display:inline;
}
